Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.pcl
Enum PCLRenderingMode

    java.lang.Object
      java.lang.Enum<PCLRenderingMode>
          org.apache.fop.render.pcl.PCLRenderingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PCLRenderingMode>

    public enum PCLRenderingMode

extends java.lang.Enum<PCLRenderingMode>

Enumeration class for PCL rendering modes.

Enum Constant Summary
`BITMAP` "Bitmap" rendering (pages are painted entirely as bitmaps, maximum quality, reduced performance)
`QUALITY` "Quality" rendering (mixed native and bitmap for improved quality)
`SPEED` "Speed" rendering (maximum speed with native rendering, reduced visual quality)

Method Summary
`float` | `getDefaultDitheringQuality()` Returns the default dithering quality for this rendering mode.
`java.lang.String` | `getName()`
`static PCLRenderingMode` | `getValueOf(java.lang.String name)` Returns the enumeration/singleton object based on its name.
`java.lang.String` | `toString()`
`static PCLRenderingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PCLRenderingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUALITY

    public static final PCLRenderingMode QUALITY

  "Quality" rendering (mixed native and bitmap for improved quality)

### SPEED

    public static final PCLRenderingMode SPEED

  "Speed" rendering (maximum speed with native rendering, reduced visual quality)

### BITMAP

    public static final PCLRenderingMode BITMAP

  "Bitmap" rendering (pages are painted entirely as bitmaps, maximum quality, reduced performance)

Method Detail

### values

    public static PCLRenderingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PCLRenderingMode c : PCLRenderingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PCLRenderingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### getDefaultDitheringQuality

    public float getDefaultDitheringQuality()

  Returns the default dithering quality for this rendering mode.

  Returns:
    the default dithering quality (0.0f..1.0f)

### getValueOf

    public static PCLRenderingMode getValueOf(java.lang.String name)

  Returns the enumeration/singleton object based on its name.

  Parameters:
    `name` - the name of the enumeration value
  Returns:
    the enumeration object

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<PCLRenderingMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.